using UnityEngine;
using System.Collections.Generic;

public class TriggerTracker : MonoBehaviour
{
    public HashSet<Collider> colliders { get; private set; }

    void OnTriggerEnter(Collider other)
    {
        colliders.Add(other);
    }

    void OnTriggerExit(Collider other)
    {
        colliders.Remove(other);
    }
}